Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

productpreview.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: productpreview.php 6746 2001-08-29 14:31:58Z bf $
5 //
6 // Created on: <22-Sep-2000 16:13:32 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "classes/eztemplate.php" );
29 // include_once( "classes/ezlocale.php" );
30 // include_once( "classes/ezcurrency.php" );
31 // include_once( "classes/eztexttool.php" );
32 // include_once( "classes/ezmodulelink.php" );
33 // include_once( "classes/ezlinksection.php" );
34 // include_once( "classes/ezlinkitem.php" );
35
36 // include_once( "eztrade/classes/ezproduct.php" );
37 // include_once( "eztrade/classes/ezproductcategory.php" );
38 // include_once( "eztrade/classes/ezoption.php" );
39 // include_once( "eztrade/classes/ezpricegroup.php" );
40 // include_once( "eztrade/classes/ezproductcurrency.php" );
41 // include_once( "eztrade/classes/ezorder.php" );
42
43 // include_once( "ezuser/classes/ezuser.php" );
44
45 $ini =& eZINI::instance( 'site.ini' );
46
47 $PriceGroup = 1;
48 $ShowPrice = true;
49 $Language = $ini->variable( "eZTradeMain", "Language" );
50 $ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true";
51 $RequireUserLogin = $ini->variable( "eZTradeMain", "RequireUserLogin" ) == "true";
52 $SimpleOptionHeaders = $ini->variable( "eZTradeMain", "SimpleOptionHeaders" ) == "true";
53 $ShowQuantity = $ini->variable( "eZTradeMain", "ShowQuantity" ) == "true";
54 $ShowNamedQuantity = $ini->variable( "eZTradeMain", "ShowNamedQuantity" ) == "true";
55 $RequireQuantity = $ini->variable( "eZTradeMain", "RequireQuantity" ) == "true";
56 $ShowOptionQuantity = $ini->variable( "eZTradeMain", "ShowOptionQuantity" ) == "true";
57 $locale = new eZLocale( $Language );
58
59 $CapitalizeHeadlines = $ini->variable( "eZArticleMain", "CapitalizeHeadlines" );
60
61 $MainImageWidth = $ini->variable( "eZTradeMain", "MainImageWidth" );
62 $MainImageHeight = $ini->variable( "eZTradeMain", "MainImageHeight" );
63
64 $SmallImageWidth = $ini->variable( "eZTradeMain", "SmallImageWidth" );
65 $SmallImageHeight = $ini->variable( "eZTradeMain", "SmallImageHeight" );
66
67 $t = new eZTemplate( "kernel/eztrade/admin/". $ini->variable( "eZTradeMain", "AdminTemplateDir" ),
68 "kernel/eztrade/admin/intl/", $Language, "productpreview.php" );
69
70 $t->setAllStrings();
71
72 if ( !isset( $productview ) )
73 $productview = "productpreview.tpl";
74
75 if ( isset( $template_array ) and isset( $variable_array ) and
76 is_array( $template_array ) and is_array( $variable_array ) )
77 {
78 $standard_array = array( "product_view_tpl" => $productview );
79 $temp_arr = array_merge( $standard_array, $template_array );
80 $t->set_file( $temp_arr );
81 $t->set_file_block( $template_array );
82 if ( isset( $block_array ) and is_array( $block_array ) )
83 $t->set_block( $block_array );
84 $t->parse( $variable_array );
85 }
86 else
87 {
88 $t->set_var( "extra_product_info", "" );
89 $t->set_file( "product_view_tpl", $productview );
90 }
91
92 $t->set_block( "product_view_tpl", "product_number_item_tpl", "product_number_item" );
93 $t->set_block( "product_view_tpl", "product_catalog_number_item_tpl", "product_catalog_number_item" );
94
95 $t->set_block( "product_view_tpl", "price_tpl", "price" );
96 $t->set_block( "price_tpl", "alternative_currency_list_tpl", "alternative_currency_list" );
97 $t->set_block( "alternative_currency_list_tpl", "alternative_currency_tpl", "alternative_currency" );
98
99 $t->set_block( "product_view_tpl", "quantity_item_tpl", "quantity_item" );
100
101 $t->set_block( "product_view_tpl", "add_to_cart_tpl", "add_to_cart" );
102 $t->set_block( "product_view_tpl", "edit_this_tpl", "edit_this" );
103 $t->set_block( "product_view_tpl", "path_tpl", "path" );
104 $t->set_block( "product_view_tpl", "image_list_tpl", "image_list" );
105 $t->set_block( "image_list_tpl", "image_tpl", "image" );
106 $t->set_block( "product_view_tpl", "main_image_tpl", "main_image" );
107 $t->set_block( "product_view_tpl", "option_tpl", "option" );
108 $t->set_block( "option_tpl", "value_price_header_tpl", "value_price_header" );
109 $t->set_block( "value_price_header_tpl", "value_description_header_tpl", "value_description_header" );
110 $t->set_block( "value_price_header_tpl", "value_price_header_item_tpl", "value_price_header_item" );
111 $t->set_block( "value_price_header_tpl", "value_currency_header_item_tpl", "value_currency_header_item" );
112 $t->set_block( "option_tpl", "value_tpl", "value" );
113 $t->set_block( "value_tpl", "value_description_tpl", "value_description" );
114 $t->set_block( "value_tpl", "value_price_item_tpl", "value_price_item" );
115 $t->set_block( "value_tpl", "value_availability_item_tpl", "value_availability_item" );
116 $t->set_block( "value_tpl", "value_price_currency_list_tpl", "value_price_currency_list" );
117 $t->set_block( "value_price_currency_list_tpl", "value_price_currency_item_tpl", "value_price_currency_item" );
118 $t->set_block( "product_view_tpl", "external_link_tpl", "external_link" );
119
120 $t->set_block( "product_view_tpl", "attribute_list_tpl", "attribute_list" );
121 $t->set_block( "attribute_list_tpl", "attribute_tpl", "attribute" );
122
123 $t->set_block( "product_view_tpl", "numbered_page_link_tpl", "numbered_page_link" );
124 $t->set_block( "product_view_tpl", "print_page_link_tpl", "print_page_link" );
125
126 $t->set_block( "product_view_tpl", "section_item_tpl", "section_item" );
127 $t->set_block( "section_item_tpl", "link_item_tpl", "link_item" );
128
129 if ( !isset( $ModuleName ) )
130 $ModuleName = "trade";
131 if ( !isset( $ModuleList ) )
132 $ModuleList = "categorylist/parent";
133 if ( !isset( $ModuleView ) )
134 $ModuleView = "productedit/productpreview";
135 if ( !isset( $ModulePrint ) )
136 $ModulePrint = "productedit/productprint";
137
138 $t->set_var( "module", $ModuleName );
139 $t->set_var( "module_list", $ModuleList );
140 $t->set_var( "module_view", $ModuleView );
141 $t->set_var( "module_print", $ModulePrint );
142
143 $product = new eZProduct( $ProductID );
144
145 if ( !isset( $CategoryID ) )
146 {
147 $category = $product->categoryDefinition();
148 }
149 else
150 {
151 $category = new eZProductCategory();
152 $category->get( $CategoryID );
153 }
154
155 $pathArray =& $category->path();
156 $mainImageID = false;
157 $t->set_var( "path", "" );
158 foreach ( $pathArray as $path )
159 {
160 $t->set_var( "category_id", $path[0] );
161
162 $t->set_var( "category_name", $path[1] );
163
164 $t->parse( "path", "path_tpl", true );
165 }
166
167 $mainImage = $product->mainImage();
168 if ( $mainImage )
169 {
170 $variation = $mainImage->requestImageVariation( 250, 250 );
171
172 $t->set_var( "main_image_uri", "/" . $variation->imagePath() );
173 $t->set_var( "main_image_width", $variation->width() );
174 $t->set_var( "main_image_height", $variation->height() );
175 $t->set_var( "main_image_caption", $mainImage->caption() );
176
177 $mainImageID = $mainImage->id();
178
179 $t->set_var( "main_image_id", $mainImageID );
180 $t->parse( "main_image", "main_image_tpl" );
181 }
182 else
183 {
184 $t->set_var( "main_image", "" );
185 }
186
187 if ( $CapitalizeHeadlines == "enabled" )
188 {
189 // include_once( "classes/eztexttool.php" );
190 $t->set_var( "title_text", eZTextTool::capitalize( $product->name() ) );
191 }
192 else
193 {
194 $t->set_var( "title_text", $product->name() );
195 }
196 $t->set_var( "intro_text", $product->brief() );
197 $t->set_var( "description_text", $product->description() );
198
199 $images = $product->images();
200
201 $i=0;
202 $t->set_var( "image", "" );
203 $t->set_var( "image_list", "" );
204 $image_count = 0;
205 foreach ( $images as $imageArray )
206 {
207 $image =& $imageArray["Image"];
208 if ( $image->id() != $mainImageID )
209 {
210 if ( ( $i % 2 ) == 0 )
211 {
212 $t->set_var( "td_class", "bglight" );
213 }
214 else
215 {
216 $t->set_var( "td_class", "bgdark" );
217 }
218
219 $t->set_var( "image_name", $image->name() );
220
221 $t->set_var( "image_title", $image->name() );
222 $t->set_var( "image_caption", $image->caption() );
223 $t->set_var( "image_id", $image->id() );
224 $t->set_var( "product_id", $ProductID );
225
226 $variation = $image->requestImageVariation( $SmallImageWidth, $SmallImageHeight );
227
228 $t->set_var( "image_url", "/" .$variation->imagePath() );
229 $t->set_var( "image_width", $variation->width() );
230 $t->set_var( "image_height", $variation->height() );
231
232 $t->parse( "image", "image_tpl", true );
233
234 $image_count++;
235 $i++;
236 }
237 }
238
239 if ( $image_count > 0 )
240 $t->parse( "image_list", "image_list_tpl" );
241
242 $options = $product->options();
243 $t->set_var( "option", "" );
244
245 $t->set_var( "value_price_header", "" );
246
247 // show alternative currencies
248 $currency = new eZProductCurrency( );
249 $currencies =& $currency->getAll();
250 $t->set_var( "currency_count", count( $currencies ) );
251 $t->set_var( "value_price_header", "" );
252 $t->set_var( "value_price_header_item", "" );
253 $t->set_var( "value_currency_header_item", "" );
254
255 $t->parse( "value_price_header_item", "value_price_header_item_tpl" );
256
257 if ( $ShowPrice and $product->showPrice() == true )
258 $t->parse( "value_price_header", "value_price_header_tpl" );
259
260 if ( count( $currencies ) > 0 )
261 $t->parse( "value_currency_header_item", "value_currency_header_item_tpl" );
262
263 $can_checkout = false;
264
265 $currency_locale = new eZLocale( $Language );
266 foreach ( $options as $option )
267 {
268 $values = $option->values();
269
270 $t->set_var( "value", "" );
271 $i = 0;
272 $headers = $option->descriptionHeaders();
273 $t->set_var( "value_description_header", "" );
274 if ( $SimpleOptionHeaders )
275 {
276 $t->set_var( "description_header", $headers[0] );
277 $t->parse( "value_description_header", "value_description_header_tpl" );
278 }
279 else
280 {
281 foreach ( $headers as $header )
282 {
283 $t->set_var( "description_header", $header );
284 $t->parse( "value_description_header", "value_description_header_tpl", true );
285 }
286 }
287
288 foreach ( $values as $value )
289 {
290 $value_quantity = $value->totalQuantity();
291 if ( $ShowOptionQuantity or ( is_bool( $value_quantity ) and !$value_quantity ) or
292 !$RequireQuantity or ( $RequireQuantity and $value_quantity > 0 ) )
293 {
294 if ( ( is_bool( $value_quantity ) and !$value_quantity ) or
295 !$RequireQuantity or ( $RequireQuantity and $value_quantity > 0 ) )
296 $can_checkout = true;
297 $t->set_var( "value_td_class", ( $i % 2 ) == 0 ? "bglight" : "bgdark" );
298 $id = $value->id();
299
300 $descriptions = $value->descriptions();
301 $t->set_var( "value_description", "" );
302 if ( $SimpleOptionHeaders )
303 {
304 $t->set_var( "value_id", $value->id() );
305
306 $t->set_var( "value_name", $descriptions[0] );
307 $t->parse( "value_description", "value_description_tpl" );
308 }
309 else
310 {
311 foreach ( $descriptions as $description )
312 {
313 $t->set_var( "value_name", $description );
314 $t->parse( "value_description", "value_description_tpl", true );
315 }
316 }
317
318 $t->set_var( "value_price", "" );
319 $t->set_var( "value_price_item", "" );
320 $t->set_var( "value_price_currency_list", "" );
321 if ( $ShowPrice and $product->showPrice() == true )
322 {
323 $found_price = false;
324
325 if ( $ShowPriceGroups and $PriceGroup > 0 )
326 {
327 $price = eZPriceGroup::correctPrice( $product->id(), $PriceGroup,
328 $option->id(), $value->id() );
329 if ( $price )
330 {
331 $found_price = true;
332
333 $price = new eZCurrency( $price );
334 }
335 }
336 if ( !$found_price )
337 {
338 $price = new eZCurrency( $value->price() );
339 }
340
341 if ( $price->value() == 0 )
342 $t->set_var( "value_price", "" );
343 else
344 $t->set_var( "value_price", $locale->format( $price ) );
345
346 $t->parse( "value_price_item", "value_price_item_tpl" );
347
348 $t->set_var( "value_price_currency_item", "" );
349 foreach ( $currencies as $currency )
350 {
351 $altPrice = $price;
352 $altPrice->setValue( $price->value() * $currency->value() );
353
354 $currency_locale->setSymbol( $currency->sign() );
355 $currency_locale->setPrefixSymbol( $currency->prefixSign() );
356
357 $t->set_var( "alt_value_price", $currency_locale->format( $altPrice ) );
358 $t->parse( "value_price_currency_item", "value_price_currency_item_tpl", true );
359 }
360
361 $t->set_var( "value_price_currency_list", "" );
362 if ( count( $currencies ) > 0 )
363 $t->parse( "value_price_currency_list", "value_price_currency_list_tpl" );
364 }
365
366 $t->set_var( "value_availability_item", "" );
367 if ( !(is_bool( $value_quantity ) and !$value_quantity) )
368 {
369
370 $named_quantity = $value_quantity;
371 if ( $ShowNamedQuantity )
372 $named_quantity = eZProduct::namedQuantity( $value_quantity );
373 $t->set_var( "value_availability", $named_quantity );
374 $t->parse( "value_availability_item", "value_availability_item_tpl" );
375 }
376
377 $t->parse( "value", "value_tpl", true );
378 $i++;
379 }
380 }
381
382 $t->set_var( "option_name", $option->name() );
383 $t->set_var( "option_description", $option->description() );
384 $t->set_var( "option_id", $option->id() );
385 $t->set_var( "product_id", $ProductID );
386
387 $t->parse( "option", "option_tpl", true );
388 }
389
390 // link list
391 $module_link = new eZModuleLink( "eZTrade", "Product", $product->id() );
392 $sections =& $module_link->sections();
393 $t->set_var( "section_item", "" );
394 foreach ( $sections as $section )
395 {
396 $t->set_var( "link_item", "" );
397 $t->set_var( "section_name", $section->name() );
398 $t->set_var( "section_id", $section->id() );
399 $links =& $section->links();
400 $i = 0;
401 foreach ( $links as $link )
402 {
403 $t->set_var( "td_class", ($i%2) == 0 ? "bglight" : "bgdark" );
404 $t->set_var( "link_name", $link->name() );
405 $t->set_var( "link_url", $link->url() );
406 $t->set_var( "link_id", $link->id() );
407 $t->parse( "link_item", "link_item_tpl", true );
408 ++$i;
409 }
410 $t->parse( "section_item", "section_item_tpl", true );
411 }
412
413 // attribute list
414 $type = $product->type();
415 if ( $type )
416 {
417 $attributes = $type->attributes();
418
419 $i=0;
420 foreach ( $attributes as $attribute )
421 {
422 if ( ( $i % 2 ) == 0 )
423 {
424 $t->set_var( "begin_tr", "<tr>" );
425 $t->set_var( "end_tr", "" );
426 }
427 else
428 {
429 $t->set_var( "begin_tr", "" );
430 $t->set_var( "end_tr", "</tr>" );
431 }
432
433 $value =& $attribute->value( $product );
434 $t->set_var( "attribute_id", $attribute->id( ) );
435 $t->set_var( "attribute_name", $attribute->name( ) );
436 $t->set_var( "attribute_value", $value );
437
438 // don''t who empty attributes or attributes == 0.0
439 if ( ( is_numeric( $value ) and ( $value > 0 ) ) || ( !is_numeric( $value ) and $value != "" ) )
440 $t->parse( "attribute", "attribute_tpl", true );
441
442 $i++;
443 }
444 }
445
446 if ( isset( $attributes ) && count( $attributes ) > 0 )
447 {
448 $t->parse( "attribute_list", "attribute_list_tpl" );
449 }
450 else
451 {
452 $t->set_var( "attribute_list", "" );
453 }
454
455
456 $t->set_var( "product_id", $product->id() );
457
458
459 if ( trim( $product->externalLink() ) != "" )
460 {
461 $t->set_var( "external_link_url", "http://" . $product->externalLink() );
462 $t->parse( "external_link", "external_link_tpl" );
463 }
464 else
465 {
466 $t->set_var( "external_link", "" );
467 }
468
469 $t->set_var( "product_number_item", "" );
470 if ( $product->productNumber() != "" )
471 {
472 $t->set_var( "product_number", $product->productNumber() );
473 $t->parse( "product_number_item", "product_number_item_tpl" );
474 }
475
476 $t->set_var( "product_catalog_number", "N/A" );
477 $t->set_var( "product_catalog_number_item", "" );
478
479 if ( $product->catalogNumber() != "" )
480 {
481 $t->set_var( "product_catalog_number", $product->catalogNumber() );
482 $t->parse( "product_catalog_number_item", "product_catalog_number_item_tpl" );
483 }
484 /*
485 else {
486 $t->set_var( "product_catalog_number", "N/A" );
487 }
488 */
489
490
491 $Quantity = $product->totalQuantity();
492 if ( is_bool( $Quantity ) and !$Quantity )
493 $ShowQuantity = false;
494 $t->set_var( "quantity_item", "" );
495
496 if ( $ShowQuantity and $product->hasPrice() )
497 {
498 $NamedQuantity = $Quantity;
499 if ( $ShowNamedQuantity )
500 {
501 $NamedQuantity = eZProduct::namedQuantity( $Quantity );
502 }
503 $t->set_var( "product_quantity", $NamedQuantity );
504 $t->parse( "quantity_item", "quantity_item_tpl" );
505 }
506
507 $t->set_var( "price", "" );
508 $t->set_var( "add_to_cart", "" );
509
510 if (
511 $ShowPrice and $product->showPrice() == true and $product->hasPrice() )
512 {
513 $found_price = false;
514 if ( $ShowPriceGroups and $PriceGroup > 0 )
515 {
516 $price = eZPriceGroup::correctPrice( $product->id(), $PriceGroup );
517 if ( $price )
518 {
519 $found_price = true;
520 $price = new eZCurrency( $price );
521 }
522 }
523 if ( !$found_price )
524 {
525 $price = new eZCurrency( $product->price() );
526 }
527
528 $t->set_var( "product_price", $locale->format( $price ) );
529
530 // show alternative currencies
531 $currency = new eZProductCurrency( );
532 $currencies =& $currency->getAll();
533
534 foreach ( $currencies as $currency )
535 {
536 $altPrice = $price;
537 $altPrice->setValue( $price->value() * $currency->value() );
538
539 $locale->setSymbol( $currency->sign() );
540
541 if ( $currency->prefixSign() )
542 {
543 $locale->setPrefixSymbol( true );
544 }
545 else
546 {
547 $locale->setPrefixSymbol( false );
548 }
549
550 $t->set_var( "alt_price", $locale->format( $altPrice ) );
551
552 $t->parse( "alternative_currency", "alternative_currency_tpl", true );
553 }
554
555 if ( count( $currencies ) > 0 )
556 {
557 $t->parse( "alternative_currency_list", "alternative_currency_list_tpl" );
558 }
559 else
560 {
561 $t->set_var( "alternative_currency_list", "" );
562 }
563
564 $t->parse( "price", "price_tpl" );
565 }
566
567 if ( $can_checkout or !$RequireQuantity or ( $RequireQuantity and $Quantity > 0 ) )
568 $t->parse( "add_to_cart", "add_to_cart_tpl" );
569
570 if ( isset( $PrintableVersion ) && $PrintableVersion == "enabled" )
571 {
572 $t->parse( "numbered_page_link", "numbered_page_link_tpl" );
573 $t->set_var( "print_page_link", "" );
574 }
575 else
576 {
577 $t->parse( "print_page_link", "print_page_link_tpl" );
578 $t->set_var( "numbered_page_link", "" );
579 }
580
581 if ( isset( $func_array ) and is_array( $func_array ) )
582 {
583 foreach( $func_array as $func )
584 {
585 $func( $t, $ProductID );
586 }
587 }
588
589 //sold products
590 $t->set_var( "sold_items", eZOrder::soldProducts( $ProductID ) );
591
592 $t->parse( "edit_this", "edit_this_tpl" );
593
594 $t->pparse( "output", "product_view_tpl" );
595
596 ?>
$category
if( $Action=="Edit") $category
Definition: adedit.php:378
$CategoryID
$CategoryID
Definition: admin/articleedit.php:53
eZCurrency
Definition: ezcurrency.php:46
eZLocale
Definition: ezlocale.php:119
eZModuleLink
Definition: ezmodulelink.php:65
eZOrder\soldProducts
static soldProducts( $product)
Definition: ezorder.php:1147
eZPriceGroup\correctPrice
static correctPrice( $productid, $priceid, $optionid=0, $valueid=0)
Definition: ezpricegroup.php:414
eZProductCategory
Definition: ezproductcategory.php:90
eZProductCurrency
Definition: ezproductcurrency.php:40
eZProduct
Definition: ezproduct.php:71
eZProduct\namedQuantity
static namedQuantity( $quantity)
Definition: ezproduct.php:1037
eZTemplate
Definition: eztemplate.php:107
eZTextTool\capitalize
static capitalize( $string, $bigClass="h1bigger")
Definition: eztexttool.php:105
$id
$id
Definition: companytypelist.php:193
$block_array
$block_array
Definition: countryedit.php:44
$template_array
$template_array
Definition: countryedit.php:43
$variable_array
$variable_array
Definition: countrylist.php:39
$ModuleName
$ModuleName
Definition: ezarticle/user/searchsupplier.php:30
$section
$section
Definition: ezimagecatalogue/user/categoryedit.php:393
$variation
$variation
Definition: ezimagecatalogue/user/menubox.php:55
$link
$link
Definition: ezlink/admin/attributeedit.php:49
$values
$values
Definition: fixedvalues.php:103
$ModuleList
$ModuleList
Definition: hotdealslist.php:87
$header
$header
Definition: paypalnotify.php:141
$price
$price
Definition: pricegroupedit.php:39
$image_count
$image_count
Definition: productpreview.php:204
$options
$options
Definition: productpreview.php:242
$mainImage
foreach( $pathArray as $path) $mainImage
Definition: productpreview.php:167
$MainImageWidth
$MainImageWidth
Definition: productpreview.php:61
$SmallImageHeight
$SmallImageHeight
Definition: productpreview.php:65
$ShowOptionQuantity
$ShowOptionQuantity
Definition: productpreview.php:56
$currency_locale
$currency_locale
Definition: productpreview.php:265
$MainImageHeight
$MainImageHeight
Definition: productpreview.php:62
$currency
$currency
Definition: productpreview.php:248
$locale
$locale
Definition: productpreview.php:57
$t
$t
Definition: productpreview.php:67
$Quantity
if( $product->catalogNumber() !="") $Quantity
Definition: productpreview.php:491
$module_link
foreach( $options as $option) $module_link
Definition: productpreview.php:391
$can_checkout
$can_checkout
Definition: productpreview.php:263
$mainImageID
$mainImageID
Definition: productpreview.php:156
$pathArray
$pathArray
Definition: productpreview.php:155
$product
$product
Definition: productpreview.php:143
$currencies
$currencies
Definition: productpreview.php:249
$i
$i
Definition: productpreview.php:201
$Language
$Language
Definition: productpreview.php:49
$ini
$ini
Definition: productpreview.php:45
$PriceGroup
$PriceGroup
Definition: productpreview.php:47
$ShowPriceGroups
$ShowPriceGroups
Definition: productpreview.php:50
$images
$images
Definition: productpreview.php:199
$ShowNamedQuantity
$ShowNamedQuantity
Definition: productpreview.php:54
$ShowPrice
$ShowPrice
Definition: productpreview.php:48
$CapitalizeHeadlines
$CapitalizeHeadlines
Definition: productpreview.php:59
$SmallImageWidth
$SmallImageWidth
Definition: productpreview.php:64
$SimpleOptionHeaders
$SimpleOptionHeaders
Definition: productpreview.php:52
$sections
$sections
Definition: productpreview.php:392
$type
foreach( $sections as $section) $type
Definition: productpreview.php:414
$ShowQuantity
$ShowQuantity
Definition: productpreview.php:53
$RequireQuantity
$RequireQuantity
Definition: productpreview.php:55
$RequireUserLogin
$RequireUserLogin
Definition: productpreview.php:51
$headers
$headers
Definition: requestpagelist.php:61
$image
$image
Definition: user/articlelist.php:242
$links
$links
Definition: user/linkcategorylist.php:181
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.